[iOS & Android] AdMob Extension [3.0]

luciasp

  • Posts: 21
ok, thanks, do you know when stencyl 3.2 will be available?

cabinfever

  • Posts: 159
Hi,

Two questions:
* Where does one get the Stencyl 3.2 version? Now the nightly build that I use reports: v. 3.1.0 (b7735)?
* Where does one get the latest version of this AdMob-extension? Now the version available seems to be dated from 2014-06-23

Innes

  • *
  • Posts: 1961
Subscribers can find the latest beta here:

http://community.stencyl.com/index.php/topic,13789.0.html

Please read all the information provided before downloading and installing betas. Don't just dive in an install it without understanding the implications.

Definitely back-up your work before installing a different version of Stencyl!
Visit www.TheStencylBook.com - the only published book for learning Stencyl.

Abliblablobla

  • *
  • Posts: 524
- Stencyl 3.1 (b7735) is Stencyl 3.2 beta. You can download from the page Innes linked to.
- You can download the latest version of the AdMob Extension 3.0 (July 6th) from the first post of this topic. You will find a download link at the end of the post.
.: BuruBuru :.

kuroi

  • Posts: 110
I have problems with the new version of this extension.
I updated it to 3.0 and got an error when the extension is enabled

Quote
Level:     ERROR
When:      2014-08-29 17:54:22
From:      stencyl.sw.io.write.resource.HXWriter

Building for Android failed. (Return code: 1)

I tried to delete the extension and reinstall it (and cleaning the project). I use latest stencyl build.

Abliblablobla

  • *
  • Posts: 524
@kuroi
Could you post your logs here?
.: BuruBuru :.

Spuller

  • Posts: 66
@Abliblabloba
I'm having the same issue on build 7737.  I get the same error, and when I disable the extension, the game works.  I would give you the logs, but I don't know how to zip them. 

Please get back to this asap, really need this fixed.

EDIT: Found logs

« Last Edit: August 30, 2014, 10:42:29 pm by Spuller »

Abliblablobla

  • *
  • Posts: 524
@Spuller,
In your case, Stencyl is trying to use an old version of the AdMob SDK. To fix this error, do a clean install of Stencyl. To do a clean install you have to uninstall/delete your current version of Stencyl, download the latest private release and install it. Do NOT install the latest version of Stencyl over your existing one! After you have done a clean install of Stencyl, use Run > Clean Project. This should fix your issue.
.: BuruBuru :.

kuroi

  • Posts: 110
@Abli sure, here are my logs, hope they will tell how to solve this issue.

Abliblablobla

  • *
  • Posts: 524
@kuroi, the logs you posted didn't include any info about the error you posted on August 29 (you posted the logs for August 31). Could you try to compile your project again for Android using this extension? If it fails to build for Android post your full logs here.
.: BuruBuru :.

kuroi

  • Posts: 110
I have just compiled again and here are the fresh logs
Quote
2014-08-31 13:27:55,120 INFO  [Thread-10] stencyl.sw.util.StreamGobbler: BUILD FAILED
2014-08-31 13:27:55,121 INFO  [Thread-10] stencyl.sw.util.StreamGobbler: C:\Users\kuroi\AppData\Roaming\Stencyl\stencylworks\android-sdk\android-sdk-windows\tools\ant\build.xml:713: The following error occurred while executing this line:
2014-08-31 13:27:55,121 INFO  [Thread-10] stencyl.sw.util.StreamGobbler: C:\Users\kuroi\AppData\Roaming\Stencyl\stencylworks\android-sdk\android-sdk-windows\tools\ant\build.xml:727: Compile failed; see the compiler error output for details.
2014-08-31 13:27:55,122 INFO  [Thread-10] stencyl.sw.util.StreamGobbler: Total time: 9 seconds
2014-08-31 13:27:55,251 ERROR [Util-CommandMonitor] stencyl.sw.io.write.resource.HXWriter: Building for Android failed. (Return code: 1)

Abliblablobla

  • *
  • Posts: 524
Thanks, you have the same issue as Spuller and you have to go through the same process.

@Spuller,
In your case, Stencyl is trying to use an old version of the AdMob SDK. To fix this error, do a clean install of Stencyl. To do a clean install you have to uninstall/delete your current version of Stencyl, download the latest private release and install it. Do NOT install the latest version of Stencyl over your existing one! After you have done a clean install of Stencyl, use Run > Clean Project. This should fix your issue.
.: BuruBuru :.

kuroi

  • Posts: 110
Thanks, you have the same issue as Spuller and you have to go through the same process.

@Spuller,
In your case, Stencyl is trying to use an old version of the AdMob SDK. To fix this error, do a clean install of Stencyl. To do a clean install you have to uninstall/delete your current version of Stencyl, download the latest private release and install it. Do NOT install the latest version of Stencyl over your existing one! After you have done a clean install of Stencyl, use Run > Clean Project. This should fix your issue.

Thanks, it fixed the problem

bonzero

  • *
  • Posts: 488
I'm not sure if someone has commented this here, but apparently this extension crashes the app when the "chartboost" extension is running at the same time, the game itself runs well but when you try to initialize the ads then it crashes, if you deactivate the "chartboost" extension then it runs ok.. I would be great to be able to use both at the same time for intersentials

luismp

  • Posts: 219
I'm not sure if someone has commented this here, but apparently this extension crashes the app when the "chartboost" extension is running at the same time, the game itself runs well but when you try to initialize the ads then it crashes, if you deactivate the "chartboost" extension then it runs ok.. I would be great to be able to use both at the same time for intersentials
i have both extensions in all my games and i have no crashes...well, sometimes it crashes but due to other issues like loading ogg sounds and music...xD..